import request from "@/utils/request";

//仓库仪器借用管理

//仓库仪器管理列表
export function getTeacherBorrow(query) {
  return request({
    url: "/schoolTeacherBorrow/selectBorrowInstrumentList",
    method: "get",
    params: query,
  });
}
// 查看详情
export function getTeacherBorrowlxq(id) {
  return request({
    url: "/schoolTeacherBorrow/" + id,
    method: "get",
  });
}

//办理教师借用信息
export function teacherBorrow(data) {
  return request({
    url: "/schoolTeacherBorrow/edit",
    method: "put",
    data,
  });
}
//归还教师借用仪器
export function getReturnInstrument(data) {
  return request({
    url: "/schoolTeacherBorrow/returnInstrument",
    method: "post",
    data,
  });
}
